/*
 * @(#)Filter.java	Jan-2008
 *
 * Murat iNAN
 */
package com.javamar.filtre;
  
import javax.swing.filechooser.*;

/**
 * Simple class for showing .rus files
 *
 * @author Murat iNAN
 */
public 	class 	Filter 
	extends FileFilter
{

    /**
     * @param f All files
     * @return If is directory or is .rus file true
     *         otherwise false
     */
    public boolean accept (java.io.File f)
    {
	if (f.isDirectory ())
	    return true;
	String name = f.getName ();
	if (name.endsWith (".rus") ||
	    name.endsWith (".RUS"))
	    return true;
	return false;
    }
    
    /** @return ".arab" files*/
    public String getDescription ()
    {
	return "*.rus files";
    }
    
}
/*************/

