/*
 * @(#)XPDocument.java	Jan-2008
 *
 * Murat iNAN
 */
package com.javamar.arac;

import java.io.*;

import javax.swing.*;
import javax.swing.text.*;

/**
 * A DefaultStyledDocument instance
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 */
public
    class 	XPDocument 
    extends 	DefaultStyledDocument
    implements	Serializable
    {
	
	/** Constructor*/
	public XPDocument () 
	{}
		    
	/** offs = metin girilen yer.
         * str = o anda girilen metin.
         * aset = o anda girilen metin niteligi.
         * o anda girilen metni ayrica tespit gereksiz. Bunu java klavyeden
         * algiliyor ve ismini de str vb. olarak belirliyor. Bize dusen
         * a anda girilen metin uzerinde ne yapabilecegimiz.   
         */
	public void insertString (
		final int offs, 
		String str, 
		final AttributeSet aset)
	    	    throws BadLocationException 
	{
		super.insertString (offs, str, aset);	    
	}
    
	/**
	 * Removes lines/chars
	 * Note: Parameters are automatically.
	 *
	 * @param offs The current point of text inserted
	 * @param len The length of inserted text
	 */
	public void remove (final int offs, final int len)
    		    throws BadLocationException {
	    super.remove (offs, len);    			    
	}

}
//End of XPDocument
/**************************/

