/*
 * @(#)FilterFN.java	Jan-2008
 *
 * Murat iNAN
 */
package com.javamar.filtre;
  
import javax.swing.filechooser.*;

/**
 * Simple class for showing single text files
 *
 * @author Murat iNAN
 */
public 	class 	FilterFN
	extends FileFilter
{

    /**
     * @param f All files
     * @return If is directory or is text file true
     *         otherwise false
     */
    public boolean accept (java.io.File f)
    {
	if (f.isDirectory ())
	    return true;
	String name = f.getName ();
	if (name != null)
	    name = name.toLowerCase ();
	if (name.endsWith (".txt") ||
	    name.endsWith (".java")||
	    name.endsWith (".c")   ||
	    name.endsWith (".cpp") ||
	    name.endsWith (".htm") ||
	    name.endsWith (".html")||
	    name.endsWith (".js")  ||
	    name.endsWith (".css") ||
	    name.endsWith (".asp") ||
	    name.endsWith (".jsp") ||
	    name.endsWith (".php") )
	    return true;
	return false;
    }
    
    /** @return "text" files*/
    public String getDescription ()
    {
	return "Some text files";
    }
    
}
/*************/

